import { Construct } from "constructs";
import { Size } from "aws-cdk-lib";
import * as s3 from "aws-cdk-lib/aws-s3";
/**
 * Props for the CloudDuck construct
 */
export interface CloudDuckProps {
    /**
     * The S3 buckets which the cloud duck will analyze
     *
     * @default - All buckets in the account
     */
    readonly targetBuckets?: s3.Bucket[];
    /**
     * The amount of memory to allocate to the Lambda function
     *
     * @default - 1024 MiB
     */
    readonly memory?: Size;
}
/**
 * The CloudDuck construct
 *
 * This construct creates a serverless analysis environment using DuckDB for S3 data
 */
export declare class CloudDuck extends Construct {
    constructor(scope: Construct, id: string, props?: CloudDuckProps);
}
